Show / Hide Table of Contents

# Class KeyState

Wrapper around the game keystate buffer, which contains the pressed state for all keyboard keys, indexed by virtual vkCode

##### Inheritance

System.Object
KeyState

##### Inherited Members

System.Object.ToString()
System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()

###### Namespace: Dalamud.Game.ClientState

###### Assembly: Dalamud.dll

##### Syntax

    public class KeyState

### Constructors

| Improve this Doc View Source

#### KeyState(ClientStateAddressResolver, IntPtr)

##### Declaration

    public KeyState(ClientStateAddressResolver addressResolver, IntPtr moduleBaseAddress)

##### Parameters

Type | Name | Description
--- | --- | ---
Dalamud.Game.ClientState.ClientStateAddressResolver | addressResolver |
System.IntPtr | moduleBaseAddress |

### Properties

| Improve this Doc View Source

#### Item[Int32]

Get or set the keypressed state for a given vkCode.

##### Declaration

    public bool this[int vkCode] { get; set; }

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int32 | vkCode | The virtual key to change.

##### Property Value

Type | Description
--- | ---
System.Boolean | Whether the specified key is currently pressed.

### Methods

| Improve this Doc View Source

#### ClearAll()

Clears the pressed state for all keys.

##### Declaration

    public void ClearAll()